using FalcoEngine;

public class SmoothManager : MonoBehaviour
{
	public Vector3 realPosition;
	public float smoothSpeed = 3;

	void Start()
	{
		realPosition = transform.position;
	}
	
	void Update()
	{
		float smoothRate = Time.frameRate / smoothSpeed;

        transform.position = (transform.position * smoothRate + realPosition) / (smoothRate + 1);
	}
}
