using FalcoEngine;

public class Lock : MonoBehaviour
{
	public float needToOpen = 100;
	public int rewardsTurns = 5;

	private StatsManager stats;
	private GameObject progress;

	void Start()
	{
		stats = FindObjectOfType<StatsManager>();
		progress = transform.FindChild("ProgressCube").gameObject;
	}
	
	void Update()
	{
		progress.transform.localScale = new Vector3((stats.ballsSizes / needToOpen) * 250f, 20f, 50f);

		if (stats.ballsSizes >= needToOpen)
		{
			stats.turns += rewardsTurns;
            Destroy(gameObject);
        }
	}
}
