using FalcoEngine;

public class StatusTextUpdate : MonoBehaviour
{
	private StatsManager stats;
	private Text text;

	void Start()
	{
		stats = FindObjectOfType<StatsManager>();
		text = GetComponent<Text>();
	}
	
	void Update()
	{
		switch (stats.status)
		{
			case "s":
				{
					text.text = "Press and hold to start";
					break;
				}
            case "d":
                {
                    text.text = "Press to restart";
                    break;
                }
            case "f":
                {
					if (stats.currentLevel != 10)
						text.text = "Press for next level";
					else
                        text.text = "Thanks for playing! Press escape to quit";
                    break;
                }
            case "p":
                {
                    text.text = "";
                    break;
                }
        }
	}
}
