using FalcoEngine;

public class CameraMover : MonoBehaviour
{
	private SmoothManager smooth;

	void Start()
	{
		smooth = GetComponent<SmoothManager>();
	}
	
	void Update()
	{
		Lock[] locks = FindObjectsOfType<Lock>();

		float min_ = 1000000f;
		GameObject DownestLock = null;

		foreach (Lock lock_ in locks) 
		{
			if (lock_.transform.position.y < min_)
			{
				DownestLock = lock_.gameObject;
				min_ = lock_.transform.position.y;
			}
		}

		Finish f = FindObjectOfType<Finish>();

		if (f != null)
		{
            if (f.transform.position.y < min_)
            {
                DownestLock = f.gameObject;
                min_ = f.transform.position.y;
            }
        }

		if (DownestLock != null)
			smooth.realPosition = new Vector3(0f, DownestLock.transform.position.y - 4.78f, 0f);
	}
}
