using FalcoEngine;

public class MouseManager : MonoBehaviour
{
    public Vector3 GetGlobalMousePosition(float z = 5f)
    {
        Vector3 cursorPosition = Input.cursorPosition;
        float w = Screen.width;
        float h = Screen.height;

        float leftX = -9.10f;
        float rightX = 9.10f;
        float upY = -4.95468f;
        float downY = 4.95468f;

        float lenX = leftX - rightX;
        float lenY = upY - downY;

        rightX += transform.position.x;
        downY += transform.position.y;

        return new Vector3(rightX + (lenX * (cursorPosition.x / w)), downY + (lenY * (cursorPosition.y / h)), z);
    }
}
