using FalcoEngine;

public class AppControls : MonoBehaviour
{
    public Prefab ball;

    private StatsManager stats;
    private MouseManager mouse;

    void Start()
    {
        stats = FindObjectOfType<StatsManager>();
        mouse = FindObjectOfType<MouseManager>();
        Cursor.visible = false;
    }

    void Update()
    {
        if (Input.GetKeyDown(ScanCode.Escape))
            Application.Quit();

        if (Input.GetMouseButtonDown(0))
        {
            if (stats.status == "f" & stats.currentLevel != 10)
                stats.MoveToNextLevel();
            if (stats.status == "d")
                stats.RestartLevel();
            if (stats.status == "s")
                stats.status = "p";
            if (stats.status == "p")
            {
                if (stats.turns > 0)
                {
                    stats.turns--;
                    ball.Instantiate(mouse.GetGlobalMousePosition(10));
                }
            }
        }
    }
}
